Description: Port to Python3.12 and skip one test that has different results in Python 3.11 and 3.12
Bug-Debian: https://bugs.debian.org/1058299
Author: Andreas Tille <tille@debian.org>
Last-Update: Mon, 25 Dec 2023 08:35:57 +0100
Forwarded: no, project is archived

--- a/influxdb/tests/client_test.py
+++ b/influxdb/tests/client_test.py
@@ -522,7 +522,7 @@
     def test_write_points_bad_precision(self):
         """Test write points w/bad precision TestInfluxDBClient object."""
         cli = InfluxDBClient()
-        with self.assertRaisesRegexp(
+        with self.assertRaisesRegex(
             Exception,
             "Invalid time precision is given. "
             "\(use 'n', 'u', 'ms', 's', 'm' or 'h'\)"
--- a/influxdb/tests/influxdb08/client_test.py
+++ b/influxdb/tests/influxdb08/client_test.py
@@ -279,7 +279,7 @@
             'test', use_udp=True, udp_port=4444
         )
 
-        with self.assertRaisesRegexp(
+        with self.assertRaisesRegex(
                 Exception,
                 "InfluxDB only supports seconds precision for udp writes"
         ):
@@ -304,7 +304,7 @@
     def test_write_points_bad_precision(self):
         """Test write points with bad precision."""
         cli = InfluxDBClient()
-        with self.assertRaisesRegexp(
+        with self.assertRaisesRegex(
             Exception,
             "Invalid time precision is given. \(use 's', 'm', 'ms' or 'u'\)"
         ):
@@ -448,7 +448,7 @@
     def test_query_bad_precision(self):
         """Test query with bad precision for TestInfluxDBClient."""
         cli = InfluxDBClient()
-        with self.assertRaisesRegexp(
+        with self.assertRaisesRegex(
             Exception,
             "Invalid time precision is given. \(use 's', 'm', 'ms' or 'u'\)"
         ):
@@ -732,7 +732,7 @@
         """Test add database user with bad perms for TestInfluxDBClient."""
         cli = InfluxDBClient()
 
-        with self.assertRaisesRegexp(
+        with self.assertRaisesRegex(
                 Exception,
                 "'permissions' must be \(readFrom, writeTo\) tuple"
         ):
--- a/influxdb/tests/helper_test.py
+++ b/influxdb/tests/helper_test.py
@@ -362,6 +362,7 @@
             self.assertIn('forced to 1', str(w[-1].message),
                           'Warning message did not contain "forced to 1".')
 
+    @unittest.skip("Test produces different number of warnings for Python3.11 and Python3.12 thus not possible to pass for both at the same time")
     def testWarnBulkSizeNoEffect(self):
         """Test warning for a set bulk size but autocommit False."""
         class WarnBulkSizeNoEffect(SeriesHelper):
